<div class="filter-list-heading">
  <h4>{{ 'labelProductFilter' | translate:lang }}</h4>
</div>
<div class="filter-list" id="accordion" *ngIf="originalfilterList">
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" *ngIf="originalfilterList.Price[0].MinSalesPrice !== originalfilterList.Price[0].MaxSalesPrice">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <span class="filter_title">{{'labelPrice' | translate: lang}}</span>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <div class="price-slider">
        <nouislider [min]="originalfilterList.Price[0].MinSalesPrice" [max]="originalfilterList.Price[0].MaxSalesPrice" [config]="priceConfig" (change)="getPriceValue($event)"></nouislider>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
  <mat-accordion *ngFor="let filter of originalfilterList.data; let i = index">
    <mat-expansion-panel [expanded]="filter.expand">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <span class="filter_title">{{filter.AttributeName}}</span>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <div class="panel-body">
        <mat-form-field appearance="outline">
          <mat-label>{{'labelSearch' | translate: lang}}</mat-label>
          <input type="text" [maxLength]="filterRules.MAX_LENGTH" name="searchProduct" [focus]="filter.expand" [(ngModel)]="searchProduct[i]" matInput [placeholder]="'titleSearch' | translate:lang" (input)="findTheProduct(filter, searchProduct, i)">
          <mat-icon matSuffix>
            <i class="fa fa-search"></i>
          </mat-icon>
        </mat-form-field>
        <div class="slimscroll filterheight">
          <div *ngFor="let option of filter.Options; let i = index">
            <label class="container_checkbox" *ngIf="i < 6; else toggleMoreButton">
              <mat-checkbox #check (change)="getCheckedValues(filter, option, check)"></mat-checkbox>
              <span class="filter-data">{{option.Name}}</span>
            </label>
            <ng-template #toggleMoreButton>
              <div ngbDropdown>
                <div class="seemore-txt-btn" mat-raised-button color="primary" id="dropdownConfig" ngbDropdownToggle>See More</div>
                <div ngbDropdownMenu aria-labelledby="dropdownConfig" class="animated flipInX seemore">
                  <div class="seemore1">
                    <div class="row">
                      <div class="col">
                        <ul class="list-unstyled">
                          <li>
                            <label class="container_checkbox">
                              <mat-checkbox #check (change)="getCheckedValues(filter, option, check)"></mat-checkbox>
                            </label>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </div>
        </div>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
